# comment out if not a git snapshot
#define git		git20190309

%define uname		cutter

# Translation files are in a separate project
# https://github.com/radareorg/cutter-translations
%define tr_commit	ec8c9310df63f665f41e14320a1cdee9a7454eb8

%define rel 1

Name:		radare2-cutter
Version:	1.12.0
Release:	%mkrel %{?git:0.%git.}%{rel}
Summary:	A Qt and C++ GUI for radare2 reverse engineering framework
License:	GPLv3+
Group:		Development/Tools
Url:		http://www.radare.org/
Source0:	https://github.com/radareorg/cutter/archive/v%{version}/%{uname}-%{version}%{?git:-%git}.tar.gz
Source1:	https://github.com/radareorg/cutter-translations/archive/%{tr_commit}.tar.gz
Patch0:		cutter-1.7.3-mga-install.patch

BuildRequires:	pkgconfig(capstone)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(r_core)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qttools5

Requires:	radare2
Provides:	%{uname} = %{version}-%{release}

%description
A Qt and C++ GUI for radare2 reverse engineering framework
(originally named Iaito).

Cutter is not aimed at existing radare2 users. It instead focuses
on those whose are not yet radare2 users because of the learning
curve, because they don't like CLI applications or because of the
difficulty/instability of radare2.

%prep
%setup -q -n %{uname}-%{version}%{?git:-%git} -a1
%autopatch -p1

# Prepare translation files
mv cutter-translations-%{tr_commit}/* src/translations/

%build
pushd src
%{_qt5_bindir}/lrelease translations/*.ts
%qmake_qt5 \
	PREFIX=%{_prefix} \
	CONFIG+=CUTTER_ENABLE_QTWEBENGINE \
	Cutter.pro

%make_build
popd

%install
%make_install -C src INSTALL_ROOT=%{buildroot}

%files
%doc CONTRIBUTING.md README.md docs/*
%license COPYING
%{_bindir}/Cutter
%{_datadir}/applications/org.radare.Cutter.desktop
%{_datadir}/metainfo/org.radare.Cutter.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/cutter.svg


%changelog
* Tue Dec 22 2020 daviddavid <daviddavid> 1.12.0-1.mga8
+ Revision: 1662766
- new version: 1.12.0 (for radare2 4.5.1)

* Thu Dec 17 2020 umeabot <umeabot> 1.11.0-2.mga8
+ Revision: 1659723
- Rebuild for new Qt5

* Sun Aug 02 2020 daviddavid <daviddavid> 1.11.0-1.mga8
+ Revision: 1610530
- new version: 1.11.0 (for radare2 4.5.0)

* Wed Jul 22 2020 daviddavid <daviddavid> 1.10.3-2.mga8
+ Revision: 1607786
- add upstream patch to fix build with Qt 5.15

* Sat May 23 2020 daviddavid <daviddavid> 1.10.3-1.mga8
+ Revision: 1586921
- new version: 1.10.3 (for radare2 4.4.0)

* Tue Mar 31 2020 daviddavid <daviddavid> 1.10.2-1.mga8
+ Revision: 1562521
- new version: 1.10.2

* Thu Feb 20 2020 daviddavid <daviddavid> 1.10.1-1.mga8
+ Revision: 1547592
- new version: 1.10.1 (for radare2 4.2.1)

* Sat Dec 28 2019 daviddavid <daviddavid> 1.10.0-1.mga8
+ Revision: 1474583
- new version: 1.10.0 (for radare2 4.1.1)

* Wed Oct 02 2019 daviddavid <daviddavid> 1.9.0-1.mga8
+ Revision: 1448858
- new version: 1.9.0 (for radare2 3.8.0)

* Wed Jul 17 2019 daviddavid <daviddavid> 1.8.3-1.mga8
+ Revision: 1421995
- new version: 1.8.3

* Thu Apr 18 2019 daviddavid <daviddavid> 1.8.1-1.mga7
+ Revision: 1393121
- new version: 1.8.1

* Wed Apr 03 2019 daviddavid <daviddavid> 1.8.0-1.mga7
+ Revision: 1385508
- new version: 1.8.0

* Mon Apr 01 2019 umeabot <umeabot> 1.7.4-2.git20190309.2.mga7
+ Revision: 1384671
- Qt5 Rebuild

* Sat Mar 09 2019 daviddavid <daviddavid> 1.7.4-2.git20190309.1.mga7
+ Revision: 1373050
- update to latest git snapshot to make it build with radare2 3.0.0
- rebuild for new radare2 3.3.0

* Wed Jan 23 2019 daviddavid <daviddavid> 1.7.4-1.mga7
+ Revision: 1359945
- new version: 1.7.4

* Mon Jan 14 2019 daviddavid <daviddavid> 1.7.3-1.mga7
+ Revision: 1356396
- new version: 1.7.3

* Tue Jan 08 2019 daviddavid <daviddavid> 1.7.1-2.mga7
+ Revision: 1351631
- rebuild for new Python 3.7

* Mon Oct 01 2018 daviddavid <daviddavid> 1.7.1-1.mga7
+ Revision: 1313105
- new version: 1.7.1
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun May 20 2018 daviddavid <daviddavid> 1.4-1.mga7
+ Revision: 1230801
- initial package radare2-cutter

